Description

Al crear un filtro aparece el siguiente error:

e Error en la expresidn:
Was expecting one of:

<EOF >
e

nn

"div'
"mod" ...

e="
a="
="
"and" ...

"ort ..

"is null" ...
"is not null" ...
"in" ...
"hetween" ...
"lilce" ..

"not like" ...

Encounterad "linea" at line 1, column 8.

4 Filtro Gin titulo)

Filtro de Tabla

Campos:

~Mombre linea
-Elevacian
~Latitud

= GEQM

~Esta
~Longitud
None

= Mumero punto

== ]
(< > Jl<=J[>-]
[and ][ or J[ not J[ 0 |

]

Date

[ Borrar texto

Valores conocidos:

B05-99G-3D-1-RED
BO5-99G-3D-1-5B0

4

Mombre linea = 'BO5-995-3D0-1-FE0 1 [ Nuevo conjunto ]
[ Afiadir al conjunto ]
[ Seleccionar del conjunto ]

En el log no aparece ninguna excepcién

Quizas el problema sea debido a que el nombre de la columna tiene espacios en blanco.

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 4660: Seleccién por atri...
Related to Application: gvSIG desktop - gvSIG bugs # 4708: Selector by attrib...

Outdated
Closed

09/12/2017
10/14/2017

History
#1 - 04/14/2014 02:20 PM - José Vicente Higon
- File error_filtro_2.png added

El error también aparece al crear una leyenda con categorias

& Enear expnesion |

Campos disponibles Funciones y operadores disponibles

MNombre linea [String) Haga doble clic sobre > | () Todos

Elevacion [String) nombre de campo, < NUmMErico

Latitud [Double] operadar o funcion para 5= Cadena

insertario en la caja de _

GEOM [Qeometw] — <= Fecha/hora

Este [5tring] == Légico

Longitud [Double] = A .

Morte [String] In () Geometria

MNumero punto [String] Between
Like -
<left_value» == <Right_walue:> : Returns TRLUE if
the left operand equals the right operand; FALSE
otherwise.

Expresion de usuario

Mombre linea == "kk" | Limpiar|

Simbolo y descripcion

Aceptar | | Cancelar

#2 - 04/16/2014 12:18 AM - Joaquin del Cerro Murciano

Bueno, pues hay varios problemas relacionados con este error, todos
relacionados con el soporte de espacios en blanco en los identificadores
de atributos de una feature.

Por un lado cuando se genera la expresion haciendo doble click en el campo
que contiene un blanco, este se anade a la caja de texto sin mas. Lo

suyo es que se escapase el blanco de alguna manera, por ejemplo
metiendo el identificados entre comillas dobles como se hace en SQL.

Al no hacer nada e intentar parsear la cadena, esta es sintacticamente
incorrecta, de ahi el error que muestra.

Bien, pues voy y a mano pongo el identificador entre dobles comillas en

la caja de la expresion. Entonces se queja la libreria que estamos usando

para evaluar las expresiones (SQLJEP), ya que esta no soporta blancos en los
identificadores. De echo es un error, ya que en teoria deberia soportar

la sintaxis para expresiones de un where de sql, que indica que los
identificadores pueden ir entre comillas dobles.

Aunque el primer problema se puede salvar facilmente, que genere correctamenente
los identificadores entre comillas dobles cuando tengan espacios en blanco,
el segundo problema es mas dificil de solventar, ya que la libreria SQLJEP

ya no esta mantenida (las ultimas correcciones fueron ya nuestras).

04/20/2024

2/3



gvSIG usa un interfaz Evaluator para evaluar las expresiones y tiene una
implementacion de ese interface usando la libreria de SQLJEP, de forma que
gvSIG no es dependiente del APl de SQLJEP. Yo propondria

implementar otro evaluador en base a otra libreria y probar

a ver si tiene memos bugs. He estado echando un vistazo y la libreria ZQL,
que ya estamos usando en algun otro sitio de gvSIG para parsear SQLs,
tiene la capacidad de evaluar expresiones SQL (ZEval y ZTuple) y

en un primer vistazo no parece complicado integrarla con nuestro interface
de Evaluator. No he visto como esta el tema de definir funciones pero no

creo que se lo hayan dejado.

#3 - 12/19/2014 11:12 AM - Alvaro Anguix
- Category set to Document table

#4 - 09/21/2017 02:55 PM - Joaquin del Cerro Murciano

- Related to gvSIG bugs #4660: Seleccion por atributo no funciona con campos con nombre "numérico” added

#5 - 10/14/2017 09:44 PM - Joaquin del Cerro Murciano
- Related to gvSIG bugs #4708: Selector by attribute doesn't work when we double-click on the name of the field added

#6 - 02/04/2019 04:22 PM - Alvaro Anguix
- Status changed from New to Outdated

Se ha cambiado la herramienta de seleccién por atributos, por lo que lo paso a outdated
